Subject: bug#1754: 23.0.60; tool-bar is shown with tool-bar-mode off

From: grischka <[email-masked]>
Date: Thu, 01 Jan 2009 14:47:37 +0100

Jason Rumney wrote:
> But you also set tool-bar-lines to 1 in popup-frame-alist, which overrides
> default-frame-alist for popup frames in any case. tool-bar-mode may override
> settings in default-frame-alist, but it doesn't go any further than that, as
> the more specialized -frame-alist settings are probably more important than
> the global setting of tool-bar-mode.

Sorry, but "probably" is not a category that matters with binary logic like
whether something is "on" or "off".

In this case: As long as it is possible to make a new frame and that frame
does not have a toolbar and at the same time typing "M-: tool-bar-mode" in
that frame returns t,  there is something wrong with it. Not probably, but
definitely.